.popup {
  float: right;
  z-index: 200;
  position: sticky;
  position: -webkit-sticky;
  bottom: 0;
  padding: 0;
  align-items: center;
  align-content: center;
  text-align: center;
  z-index: 9999;
}

.popup .popuptext {
  width: 50vw;
  max-width: 800px;
  display: block;
  visibility: hidden;
  text-align: center;
  border-radius: 33px;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 2;
  padding: 20px 50px;
  border: var(--glass-border);
  gap: var(--gutter);
  display: flex;
  flex-direction: column;
  background: var(--background);
  box-shadow: var(--shadow);
}

.popup .show {
  visibility: visible;
  -webkit-animation: fadeIn 1s;
  animation: fadeIn 1s;
}

form {
  display: flex;
  position: relative;
  padding: 0;
  width: auto;
  height: auto;
  gap: var(--text-gap);
  flex-direction: column;
  align-items: center;
  text-align: center;
}


input, textarea, label {
  color: var(--accent);
  text-align: left;
  line-height: 1;
}

label, input[type=submit] {
  font-weight: 400;
  font-size: 17px;
}
.form-2-col {
  display: flex;
  flex-direction: row;
  gap: var(--gutter);
  width: 100%;
}
.form-col {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.form-div {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 7px;
  padding-top: 15px;
}
.form-div:first-of-type {
  padding-top: 0;
}
input[type=text], input[type=tel], input[type=email], textarea {
  font-weight: 400;
  font-size: 17px;
  color: var(--accent);
  width: auto;
  height: 40px;
  padding: 10px 12px;
  border: .5px solid #ccc;
}
input[type=submit]:hover {
  background-color: var(--background);
  color: var(--primary);
  transition: var(--button-transitions);
}
input[type=submit] {
  width: 100%;
  height: 40px;
  text-align: center;
  border-radius: 30px;
  border: 0;
  transform: var(--transitions);
  background-color: var(--primary);
  color: var(--background);
}

.overlays {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: 1;
  backdrop-filter: blur(6px);
background: var(--white-transparent);}
.show-overlays {
  display: block;
}






@media(max-width:768px) {

    form {
    display: flex;
    position: relative;
    padding: 0;
    width: 100%;
    height: auto;
    gap: var(--s-gutter);
    mix-blend-mode: normal;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .form-2-col {
    flex-direction: column;
    gap: var(--s-text-gap);
  }

  .form-col {
    gap: var(--s-text-gap);
  }
  .form-2-col {
    gap: var(--s-text-gap);
  }
  .form-div {
    gap: 6px;
  }
  label {
    font-size: 16px;
  }
  input[type=text], input[type=email], input[type=tel], textarea {
    height: 30px;
    padding: 5px 6px;
    border: .5px solid #ccc;
    font-size: 16px;
  }
  input[type=submit] {
    height: 30px;
  }

}